Subject: Re: linux-next: manual merge of the rr_cpumask tree

From: Ingo Molnar <[email-masked]>
Date: Tue, 16 Dec 2008 21:55:59 +0100

* Mike Travis <[email-masked]> wrote:

> Stephen Rothwell wrote:
> > Hi Mike,
> > 
> > On Mon, 15 Dec 2008 22:02:25 -0800 Mike Travis <[email-masked]> wrote:
> >> Yes, I did finally figure that out.  Thanks for rebasing the part that Ingo needed
> >> so maybe the rest can be pushed.  There was a problem when the 'for-ingo' tree was
> >> merged as there were mixed up API calls in io_apic.c, but I fixed them in the first
> >> x86 only patch.  I wasn't sure of what else to do.
> > 
> > You could have fixed them up as part of the actual merge commit.  If each
> > tree was correct on it own, then the merge is the place for such
> > resolutions.
> > 
> 
> Thanks, I will try that next time.

actually, it's a quite obscure place for it and easy to miss (git log -p 
does not display them by default, etc.) - it's better to have an explicit 
commit after the merge. 'git bisect next' works if someone happens to hit 
this bisection breakage.

> Ingo - if you need a small patch to make the post-merge tree buildable, 
> let me know. I can extract that from the 1st patch (that modifies the 
> smp api).

yes, please put that fix as the first patch in your tree that i'll 
hopefully be able to pull :)

	Ingo